﻿using Kivii;
using Kivii.DataAnnotations;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Jst.HumanResources.Oa.Entities
{
    [Alias("ERPNWorkToDo")]
    public class OaWorkToDo:IEntityInAnyDb
    {
        [PrimaryKey]
        public int ID { get; set; }

        public string WorkName { get; set; }

        public int FormID { get; set; }
        public int WorkFlowID { get; set; }

        public string UserName { get; set; }

        public DateTime TimeStr { get; set; }

        public string FormContent { get; set; }

        public string FuJianList { get; set; }

        public string ShenPiYiJian { get; set; }

        public int JieDianID { get; set; }

        public string JieDianName { get; set; }

        public string ShenPiUserList { get; set; }

        public string OKUserList { get; set; }

        public string StateNow { get; set; }

        public DateTime LateTime { get; set; }

        public string ChaoSongUserList { get; set; }

        public int PreviousNode { get; set; }

        public string PreShenPiUser { get; set; }

        public int Status { get; set; }

        [Ignore]
        public bool IsSuccess { get; set; }

        [Ignore]
        public string Reason { get; set; }
    }
}
